using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace Microsoft.PowerShell.CmdletManagement.CompareCmdlet
{
    public class CmdletMismatch : Mismatch
    {
        private CmdletInfo _cmdletInfo;

        public CmdletMismatch(CmdletInfo cmdletInfo, string mismatchMessage) 
            : base(mismatchMessage)
        {
            _cmdletInfo = cmdletInfo;
        }

        public override string Cmdlet {
            get {return _cmdletInfo.CompositeName();}
        }
  }
}
