using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace Microsoft.PowerShell.CmdletManagement.CompareCmdlet
{
    public class Mismatch : IMismatch
    {
        protected string _mismatchMessage = "";

        public Mismatch() {
        }

        public Mismatch(string mismatchMessage) {
            _mismatchMessage = mismatchMessage;
        }

        public int CountMismatches(int count) {
            return count + 1;
        }

        public void AddMismatch(List<IMismatch> highList) {
            highList.Add(this);
        }

        public virtual string MismatchMessage {
            get {return _mismatchMessage;}
        }

        public virtual string Cmdlet {
            get {return "";}
        }

        public virtual string ParameterSet {
            get {return "";}
        }

        public virtual string Parameter {
            get {return "";}
        }
    }
}
