using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

using Microsoft.PowerShell.CmdletManagement;

namespace Microsoft.PowerShell.CmdletManagement
{
    /// <summary>
    /// Interaction logic for AddNoun.xaml
    /// </summary>

    public partial class AddNoun: System.Windows.Window
    {

        public AddNoun(Window owner)
        {
            InitializeComponent();

            this.Owner = owner;
            this.NounName.UserInput.Focus();
        }

        public string NounNameText
        {
            get { return this.NounName.Value; }
        }

        public string NounDefinitionText
        {
            get { return this.NounDefinition.Value; }
        }

        // They've clicked "OK"
        private void Click_Ok(Object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
            this.Close();
        }
        
        // They've clicked "Cancel"
        private void Click_Cancel(Object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
            this.Close();
        }
   }
}