using System;
using System.Data.SqlClient;

public enum PsSpecProjectRole
{
    ProjectOwner,
    SpecWriter,
    HelpWriter
}

/// <summary>
/// A class that represents an Aspen project
/// </summary>
public class PsSpecProject : IPsSpecDataReader
{
    public PsSpecProject() { }

    public void Initialize(SqlDataReader reader, System.Collections.Generic.Dictionary<string, Int32> columnMappings)
	{
        this.id = reader.GetInt32(columnMappings["Id"]);
        this.name = reader[columnMappings["Name"]] as string;
        this.description = reader[columnMappings["Description"]] as string;
        this.owner = reader[columnMappings["Owner"]] as string;
	}

    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    private int id;

    public string Name
    {
        get { return name; }
        set { name = value; }
    }
    private string name;

    public string Description
    {
        get { return description; }
        set { description = value; }
    }
    private string description;

    public string Owner
    {
        get { return owner; }
        set { owner = value; }
    }
    private string owner;
}
