using System;
using System.Data.SqlClient;

/// <summary>
/// A class that represents a noun
/// </summary>
public class PsSpecNoun : IPsSpecDataReader
{
    public PsSpecNoun() { }

    public void Initialize(SqlDataReader reader, System.Collections.Generic.Dictionary<string, Int32> columnMappings)
	{
        this.id = reader.GetInt32(columnMappings["NounId"]);
        this.name = reader[columnMappings["Name"]] as string;
        this.definition = reader[columnMappings["Definition"]] as string;
        this.project = reader[columnMappings["ProjectName"]] as string;
	}

    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    private int id;

    public string Name
    {
        get { return name; }
        set { name = value; }
    }
    private string name;

    public string Definition
    {
        get { return definition; }
        set { definition = value; }
    }
    private string definition;

    public string ProjectName
    {
        get { return project; }
        set { project = value; }
    }
    private string project;
}
